%define name fwbuilder
%define version 2.1.8
%define release alt1
%define compgroup Security/Networking

Summary: Firewall Builder
Name: %name
Version: %version
Release: %release
License: GPL2
Group: %compgroup
Url: http://www.fwbuilder.org/

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source0: %name-%version.tar.gz

Requires: libfwbuilder = %version fwbuilder-ipt = %version
Obsoletes: %name-doc %name-devel

BuildPreReq: lib%name-devel = %version

# Automatically added by buildreq on Sun May 07 2006
BuildRequires: gcc-c++ libXext-devel qt3-designer

%description
Firewall Builder consists of a GUI and set of policy compilers for
various firewall platforms. It helps users maintain a database of
objects and allows policy editing using simple drag-and-drop
operations. GUI generates firewall description in the form of XML
file, which compilers then interpret and generate platform-specific
code. Several algorithms are provided for automated network objects
discovery and bulk import of data. The GUI and policy compilers are
completely independent, this provides for a consistent abstract model
and the same GUI for different firewall platforms.

%package pf
Summary: policy compiler for OpenBSD pf
Group: %compgroup
Provides: %name-pf = %version-%release
Requires: %name = %version

%description pf
Policy compiler for OpenBSD PF

%package ipf
Summary: policy compiler for ipfilter
Group: %compgroup
Provides: %name-ipf = %version-%release
Requires: %name = %version

%description ipf
Policy compiler for ipfilter

%package ipfw
Summary: policy compiler for ipfw
Group: %compgroup
Provides: %name-ipfw = %version-%release
Requires: %name = %version

%description ipfw
Policy compiler for ipfw

%package ipt
Summary: policy compiler for iptables
Group: %compgroup
Provides: %name-ipt = %version-%release
Requires: %name = %version

%description ipt
Policy compiler for iptables

%prep
%setup -q

%build
export QTDIR=%_libdir/qt3
%configure \
	--with-qtdir=%_libdir/qt3 \
	--with-templatedir=%_datadir/%name
%make_build

%install
%make INSTALL_ROOT=%buildroot install

# freedesktop menu entry
%__mkdir_p %buildroot/%_datadir/applications
cat << EOF > %buildroot/%_datadir/applications/%name.desktop
[Desktop Entry]
Encoding=UTF-8
Type=Application
Name=Firewall Builder
Comment=Firewall Builder
Icon=fwbuilder
Exec=fwbuilder
Terminal=false
StartupNotify=true
Categories=Qt;Settings;
Name[ru]=Построение межсетевого экрана
Comment[ru]=Построение межсетевого экрана
EOF

%__install -pD -m644 src/gui/icons/firewall_16.png %buildroot%_miconsdir/%name.png

%__rm -fr %buildroot%_datadir/%name/locale
#%find_lang %name

%files
# -f %name.lang
%doc doc/AUTHORS doc/Credits doc/README.floppyfw doc/README.ipf
%doc doc/README.ipfw doc/README.ipt doc/README.pf doc/PatchAcceptancePolicy.txt
%_bindir/fwbuilder
%_bindir/fwblookup
%_bindir/fwbedit
%_datadir/%name
%_datadir/applications/%name.desktop
%_miconsdir/%name.png
%_mandir/man1/fwbuilder.1*
%_mandir/man1/fwblookup.1*
%_mandir/man1/fwbedit.1*

%files pf
%_bindir/fwb_pf
%_mandir/man1/fwb_pf.1*

%files ipf
%_bindir/fwb_ipf
%_mandir/man1/fwb_ipf.1*

%files ipfw
%_bindir/fwb_ipfw
%_mandir/man1/fwb_ipfw.1*

%files ipt
%_bindir/fwb_ipt
%_mandir/man1/fwb_ipt.1*

%changelog
* Sun Dec 24 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.1.8-alt1
- 2.1.8

* Fri Nov 03 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.1.7-alt2
- fixed compilers name

* Wed Nov 01 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.1.7-alt1
- 2.1.7

* Sun May 07 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.0.12-alt2
- updated build dependencies

* Sun Apr 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.0.12-alt1
- 2.0.12

* Sun Apr 09 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.0.11-alt1
- 2.0.11

* Fri Mar 31 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.0.10-alt3
- rebuild with libbind-9.3.2

* Tue Jan 10 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.0.10-alt2
- move to freedesktop menu

* Wed Nov 16 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.0.10-alt1
- 2.0.10

* Sun Sep 18 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.0.9-alt1
- 2.0.9

* Sun Jul 10 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.0.8-alt1
- 2.0.8

* Sat May 14 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.0.7-alt1
- 2.0.7

* Mon Feb 21 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.0.6-alt1
- 2.0.6

* Mon Jan 17 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.0.5-alt1
- 2.0.5

* Sat Dec 04 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.4-alt1
- 2.0.4

* Fri Nov 12 2004 ALT QA Team Robot <qa-robot@altlinux.org> 2.0.3-alt1.1
- Removed libelf-devel from build dependencies.

* Sun Oct 03 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.3-alt1
- 2.0.3

* Sat Sep 04 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.2-alt1
- 2.0.2

* Fri Aug 13 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.1-alt1
- bugfix release

* Wed Aug 11 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.0-alt3
- fix spec file

* Thu Jul 29 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.0-alt2
- 2.0.0 release

* Mon Jul 26 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.0-alt1.20040726
- the latest nightly build 2004.07.25

* Sat Jul 03 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.0-alt1.20040703
- the latest nightly build 2004.07.03

* Tue Jun 29 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.0-alt1.20040629
- the latest nightly build 2004.06.29

* Sun Jun 27 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.0-alt1.20040625
- the latest nightly build 2004.06.25

* Fri May 14 2004 Valery Inozemtsev <shrek@altlinux.ru> 1.1.2-alt2
- Rebuilt with openssl-0.9.7d

* Wed Feb 04 2004 Valery Inozemtsev <shrek@altlinux.ru> 1.1.2-alt1
- new version

* Sun Dec 14 2003 Valery Inozemtsev <shrek@altlinux.ru> 1.1.1-alt1
- New version

* Mon Nov 3 2003 Valery Inozemtsev <shrek@altlinux.ru> 1.0.11-alt1
- Build for ALT Linux Master 2.2
- Add menu entry

* Thu Jul 17 2003 Valery Inozemtsev <shrek@altlinux.ru> 1.0.10-alt1
- Add initialization script for firewall daemon

* Sun Jul 13 2003 Valery Inozemtsev <shrek@altlinux.ru> 1.0.10-alt0
- initial ALT Linux Master 2.2 build
